﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace Common.Helper.StringText
{
    public class TypeChangeHelper
    {
        /// <summary>
        /// 流转base64 适用于图片流
        /// </summary>
        /// <param name="stream"></param>
        /// <returns></returns>
        public static string StreamToBase64(Stream stream)
        {
            using var memoryStream = new MemoryStream();
            stream.CopyTo(memoryStream);
            return Convert.ToBase64String(memoryStream.ToArray());
        }
    }
}
