﻿using Microsoft.International.Converters.PinYinConverter;

namespace Common.Helper.StringText
{
    /// <summary>
    /// 拼音帮助类
    /// </summary>
    public class PinYinHelper
    {
        /// <summary>
        /// 获取首字母
        /// </summary>
        /// <param name="str"></param>
        /// <returns></returns>
        public static string GetFirstPinyin(string str)
        {
            var r = string.Empty;
            foreach (var obj in str)
            {
                try
                {
                    var chineseChar = new ChineseChar(obj);
                    var t = chineseChar.Pinyins[0];
                    r += t[..1];
                }
                catch
                {
                    r += obj.ToString();
                }
            }
            return r;
        }
    }
}
